/*-------------------------------------------------------------------
Name......... game-main.h
Author....... Marc Adams
Date......... 19/10/04
Description.. Header file for the game demo project
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

/****	Defines */
#define SCREEN_HSIZE 832
#define SCREEN_VSIZE 600
#define REAL_HSIZE 800
#define REAL_VSIZE SCREEN_VSIZE

#define	ENABLE 1

#define	BYTES_PER_PIXEL 2

#define NUM_SCRN_BUFS 2
#define NUM_COMP_IMAGES 50

#define OFFSET_VIDEO_MEMORY 0x30000000

/****	Enums */
enum eBALL_SPRITES
{
    RED_BALL = 0,
    GREEN_BALL,
    NUM_SPRITES
};

enum eGENERIC_SCREEN
{
    SCREEN_BACKGROUND,
    SCREEN_MIDDLE,
    SCREEN_NUMS
};

/****	Typedefs */
typedef	struct	bmpspriteinfo
{
	BMPFILEINFO	sBmp;
	ULONG lStartAddr;
    ULONG lMaskAddr;
    ULONG alSaveBuffer[ NUM_SCRN_BUFS ];
} BMPSPRITEINFO;


typedef struct
{
    ULONG alScreen[ SCREEN_NUMS ];
    ULONG lScratchMemory;
    ULONG lStartOfFreeMem;
} tsSCREENS;





void gm_GameMain( void );

/********************************************************************/
