/*-------------------------------------------------------------------
Name......... game.c
Author....... Marc Adams
Date......... 15/09/03
Description.. Game code
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

/****   Include Files */

#include "hardware.h"
#include "peripherals.h"
#include "interface.h"
#include "game-main.h"
#include "game.h"
//#include "serialio.h"

#include "game.sp"

/****   Local Definitions */
/****   Global Variables */
/****   Local Variables */
/****   Global Constants */

/****   Identity */
const LONG MachineId = 0x00000002;

/****   Local Constants */
/************************************************************************
*****   Functions
*************************************************************************/

/*-------------------------------------------------------------------
Name......... _putchar()
Author....... Marc Adams
Date......... 15/09/03
Description.. Fuction stub to satisfy GNU compiler
Parameters... None
Return....... None
History...... 15/09/03 - Code tidy up  - MSA
-------------------------------------------------------------------*/
void _putchar()
{

}


/*-------------------------------------------------------------------
Name......... Game()
Author....... Marc Adams
Date......... 15/09/03
Description.. Libraries initialise system then branch to here
Parameters... None
Return....... None
History...... 15/09/03 - Code tidy up  - MSA
-------------------------------------------------------------------*/
void Game( void )
{
    /* Disable Layers so monitor does not display junk data */
    CalypsoDisableLayer( &Calypso32PlusDevice, ALL_SELECT );

    gm_GameMain();
    while( 1 )
    {
        Wait( 100 );
    }
}


/********************************************************************/
