OUTPUT_FORMAT("coff-m68k")
MEMORY {
        rom	: ORIGIN = 0x60000000, LENGTH = 0x0016fefc
        keepram	: ORIGIN = 0x10000400, LENGTH = 0x00010000
        ram	: ORIGIN = 0x10010400, LENGTH = 0x0002fc00
        stacka  : ORIGIN = 0x50000000, LENGTH = 0x00001f00
	fram	: ORIGIN = 0x50001f00, LENGTH = 0x000000ff
	mstack  : ORIGIN = 0x02000000, LENGTH = 0x01000000
        rstack  : ORIGIN = 0x02000000, LENGTH = 0x01000000
}
SECTIONS
{

.vectors :
 	{
 	vectors_start	= .;
        ../../libs/hardware/pluto6/81-16616-25/vectors.o(.text)
 	vectors_end		= .;
 	} > rom

.text :
	{
	text_start		= .;
	checksum_start	= .;
    *(.text)

     __CTOR_LIST__ = .;
     LONG((__CTOR_END__ - __CTOR_LIST__) / 4 - 2)


    *(.ctors)
     LONG(0)
     __CTOR_END__ = .;

     __DTOR_LIST__ = .;
     LONG((__DTOR_END__ - __DTOR_LIST__) / 4 - 2)
    *(.dtors)
     LONG(0)
     __DTOR_END__ = .;

    *(.lit)
    *(.shdata)
        .endcode		= .;
        endcode 		= .;
  }  > rom

 .shbss :
 {
    *(.shbss)
		text_end		= .;
		romdata_start	= .;
 } > rom


.id :
	{
	ram_start	= .;
	id_start	= .;
	*(.id)
	idram.o(COMMON);
	id_end		= .;
	} > ram

.system :
	{
	system_start	= .;
	*(.system)
	sysram.o(COMMON);
	system_end		= .;
	} > ram

.data : AT (ADDR(.shbss) + SIZEOF(.shbss))
	{
	vars_start	 	= .;
    *(.data)
    vars_end		=  .;
 	} > ram

	checksum_end		= romdata_start + SIZEOF(.data);

 .bss ram_start + 0x00004000 :
  {
     __bss_start = .;
	bss_start	= .;
	zvars_start	 	= .;
   *(.bss)
	bss_end		= .;
      end = ALIGN(0x4);
      _end = ALIGN(0x4);
    endbssram = . ;
  } > ram

  COMMON :
  {
     __common_start	= .;
   *(COMMON)
      end = ALIGN(0x4);
      _end = ALIGN(0x4);
	zvars_end	 	= .;
	zvars_size		= zvars_end - zvars_start;
    endram = . ;
  } > ram

.heap :
	{
	heap_start	= .;
	. = . + 0x00005fff;
	heap_end	= .;
	} > ram

.stack :
	{
	stack_start	= .;
	. = . + 0x00001e00;
	stack_end	= .;
	} > stacka

.safe :
	{
	safe_start	= . ;
	. = . + 0x00003fff;
	safe_end	= . + 1;
	} > ram

  .mstack  : { }  > mstack
  .rstack  : { }  > rstack
  .stab  . (NOLOAD) :
  {
    [ .stab ]
  }
  .stabstr  . (NOLOAD) :
  {
    [ .stabstr ]
  }
}
